Bug 1122985 - Revoking permissions to Maintain Offline Storage has no effect
Summary: Revoking permissions to Maintain Offline Storage has no effect
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 14:09 UTC by Peter Backes
Modified: 2015-06-29 21:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:44:13 UTC


Attachments (Terms of Use)

Description Peter Backes 2014-07-24 14:09:40 UTC
Description of problem:
If one sets global permissions for maintaining Offline Storage to "Block" or "Always ask", this seems not to have any effect

Version-Release number of selected component (if applicable):
firefox-31.0-1.fc20.i686

How reproducible:
always

Steps to Reproduce:
1. run firefox
2. go to about:permissions
3. under "all sites" set either "Block" or "Always ask"
4. go to any web page
5. right click
6. choose "view page info"
7. in the page info box that has opened, go to Permissions tab
8. check "Maintain Offline Storage" setting

Actual results:
It's set to "Use Default", yet says it's set to "Allow", regardless of what you set previously.

Expected results:
Setting shows "Always ask" or "Block" depending on what your global setting is

Additional info:
not a new bug. seems to have existed in previous firefox versions.

Comment 1 Martin Stransky 2014-11-19 11:57:45 UTC
Yes, I see...and it's still there on Firefox 33. Jan, you'd you like to check this one?

Comment 2 Fedora End Of Life 2015-05-29 12:27:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:44:13 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.